Bug 175570 - audio/xcdplayer: Update MASTER_SITES
Summary: audio/xcdplayer: Update MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-25 21:10 UTC by tkato432
Modified: 2013-02-04 14:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.58 KB, patch)
2013-01-25 21:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-01-25 21:10:01 UTC
- Update MASTER_SITES
- Fix build with clang
- Add MAKE_JOBS_SAFE
Comment 1 Edwin Groothuis freebsd_committer 2013-01-25 21:10:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-02-04 14:31:30 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-02-04 14:31:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-02-04 14:31:37 UTC
Author: miwi
Date: Mon Feb  4 14:31:17 2013
New Revision: 311622
URL: http://svnweb.freebsd.org/changeset/ports/311622

Log:
  - Update MASTER_SITES
  - Fix build with clang
  - Add MAKE_JOBS_SAFE
  
  PR:		175570
  Submitted by:	Ports Fury

Modified:
  head/audio/xcdplayer/Makefile   (contents, props changed)
  head/audio/xcdplayer/files/patch-internals.c   (contents, props changed)

Modified: head/audio/xcdplayer/Makefile
==============================================================================
--- head/audio/xcdplayer/Makefile	Mon Feb  4 14:30:02 2013	(r311621)
+++ head/audio/xcdplayer/Makefile	Mon Feb  4 14:31:17 2013	(r311622)
@@ -1,22 +1,20 @@
-# New ports collection makefile for:    xcdplayer
-# Date created:		30 Sep 1994
-# Whom:			swallace
-#
+# Created by: swallace
 # $FreeBSD$
-#
 
 PORTNAME=	xcdplayer
 PORTVERSION=	2.2
 PORTREVISION=	3
 CATEGORIES=	audio
-MASTER_SITES=	ftp://ftp.x.org/R5contrib/
+MASTER_SITES=	XCONTRIB/../R5contrib
 EXTRACT_SUFX=	.tar.Z
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	CD player for X
 
-USE_IMAKE=	yes
 USE_XORG=	xbitmaps xaw
+USE_IMAKE=	yes
+MAKE_JOBS_SAFE=	yes
+
 MAN1=		xcdplayer.1
 
 PLIST_FILES=	bin/xcdplayer lib/X11/app-defaults/XCdplayer

Modified: head/audio/xcdplayer/files/patch-internals.c
==============================================================================
--- head/audio/xcdplayer/files/patch-internals.c	Mon Feb  4 14:30:02 2013	(r311621)
+++ head/audio/xcdplayer/files/patch-internals.c	Mon Feb  4 14:31:17 2013	(r311622)
@@ -26,6 +26,24 @@
  
  int
  cdrom_get_curtime() {
+@@ -46,7 +50,7 @@
+ 
+ 	if (cdrom_open() == -1) {
+ 		debug_printf(1, "cdrom_get_curtime: error from cdrom_open\n");
+-		return;
++		return 0;
+ 	}
+ 
+ 	switch (cdrom_status()) {
+@@ -54,7 +58,7 @@
+ 	case CDROM_PLAYING:
+ 	    if (cdrom_get_curmsf(&curmsf) == -1) {
+ 		debug_printf(1, "get_curtime: error reading location\n");
+-		return;
++		return 0;
+ 	    }
+ 
+ 	    if (((curtrack = cdrom_get_curtrack()) == -1) ||
 @@ -76,6 +80,7 @@
  	}
  }
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"